Download it now!
Bug 118586 - [NEWHELP] ReportBuilder: F1 key goes to off-line html help page about control properties, rather then Report Builder help page.
Summary: [NEWHELP] ReportBuilder: F1 key goes to off-line html help page about control...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-07-06 16:08 UTC by Drew Jensen
Modified: 2018-10-29 12:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-07-06 16:08:16 UTC
Description:
tested with ubuntu 18.04 (64bit) and build:
Version: 6.1.0.1
Build ID: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

Report Builder extension installed as default install.

Steps to Reproduce:
1. Open a Base file with a data table.
2. Go to the Reports section.
3. Select 'Create report in design view'
4. With the empty report window open select F1 

Actual Results:
The help systems displays the page;
file:///home/drew/Desktop/libreoffice6.1/help/en-US/text/shared/02/01170100.html?System=UNIX&DbPAR=BASE#bm_id9469283


Expected Results:
Open help page:
file:///home/drew/Desktop/libreoffice6.1/help/en-US/text/shared/explorer/database/rep_main.html?&DbPAR=WRITER&System=UNIX



Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2018-07-06 17:53:34 UTC
Where is the cursor when you press F1?

In my case, it opens the main help page, the same way as with the old help system...
Comment 2 Drew Jensen 2018-07-06 18:18:03 UTC
First time I did that I had opened an existing report and hadn't selected anything in it.

The second time I may of messed up. I created new ODB and went right to reports, create in designer and it opens an empty page. But I didn't create a table and therefore didn't display the field picker dialog. 

So, with a table created and 'create report in designer' it opens a new report window and the 'Add Field' dialog. With the focus on the dialog (click on the frame) if I enter F1 I go to 
file:///home/drew/Desktop/libreoffice6.1/help/en-US/text/shared/explorer/database/rep_prop.html?System=UNIX&DbPAR=BASE#bm_id5135044
Titled Properties and about the properties editor in the Report Builder window.

I close the dialog and just click anywhere in the main report window content area. Now F1 takes me to
file:///home/drew/Desktop/libreoffice6.1/help/en-US/text/shared/explorer/database/main.html?System=UNIX&DbPAR=BASE
Title Using Databases in LibreOffice Base and is the generic top level help page for Base.

This is with Version: 6.1.0.1
Build ID: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
and off-line package installed, both from the LibreOffice download page.
Comment 3 Buovjaga 2018-07-15 11:58:09 UTC
Repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 860a9daf2b45942a4b10ff22d36aa3fe29be19f4
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 14th 2018
Comment 4 Olivier Hallot 2018-10-17 00:01:59 UTC
The HID sent to the Help is REPORTDESIGN_HID_RPT_FIELD_SEL, which maps to text/shared/explorer/database/rep_prop.html#bm_id5135044 as indicated in comment#2

However, it seems that the correct help content is approximately given by 
text/shared/explorer/database/rep_main.xhp under "To insert fields into the report".

I think it deserve a page on its own, say "rep_insertfield.xhp" with description of the window and buttons.
Comment 5 Commit Notification 2018-10-29 11:45:44 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/64f6b8c5bc8d517cea4a36b088c6b35e22bd8a69%5E%21

tdf#118586 Base report 'Add field' Help page